Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.toolbox.swing
Class FileList.FileTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.lowagie.toolbox.swing.FileList.FileTableModel

All Implemented Interfaces:
  Serializable, TableModel

Enclosing class:
  FileList

     class FileList.FileTableModel

extends AbstractTableModel

Field Summary
`private String[]` | `columnNames`
`private static long` | `serialVersionUID`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`FileList.FileTableModel()`

Method Summary
`Class<?>` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`String` | `getColumnName(int col)`
`int` | `getRowCount()`
`Object` | `getValueAt(int row, int col)`
`void` | `removeRow(int row)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### columnNames

    private String[] columnNames

Constructor Detail

### FileList.FileTableModel

    FileList.FileTableModel()

Method Detail

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### getColumnName

    public String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int row,
                             int col)

### getColumnClass

    public Class<?> getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### removeRow

    public void removeRow(int row)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD